Loading...
Searching...
No Matches
AVReplayGain Struct Reference

ReplayGain information (see http://wiki.hydrogenaudio.org/index.php?title=ReplayGain_1.0_specification). More...

`#include <libavutil/replaygain.h>`

## Data Fields

int32_t | track_gain
| Track replay gain in microbels (divide by 100000 to get the value in dB).
uint32_t | track_peak
| Peak track amplitude, with 100000 representing full scale (but values may overflow).
int32_t | album_gain
| Same as track_gain, but for the whole album.
uint32_t | album_peak
| Same as track_peak, but for the whole album,.

## Detailed Description

ReplayGain information (see http://wiki.hydrogenaudio.org/index.php?title=ReplayGain_1.0_specification).

The size of this struct is a part of the public ABI.

Definition at line 29 of file replaygain.h.

## Field Documentation

## track_gain

int32_t AVReplayGain::track_gain

Track replay gain in microbels (divide by 100000 to get the value in dB).

Should be set to INT32_MIN when unknown.

Definition at line 34 of file replaygain.h.

## track_peak

uint32_t AVReplayGain::track_peak

Peak track amplitude, with 100000 representing full scale (but values may overflow).

0 when unknown.

Definition at line 39 of file replaygain.h.

## album_gain

int32_t AVReplayGain::album_gain

Same as track_gain, but for the whole album.

Definition at line 43 of file replaygain.h.

## album_peak

uint32_t AVReplayGain::album_peak

Same as track_peak, but for the whole album,.

Definition at line 47 of file replaygain.h.

The documentation for this struct was generated from the following file:

- libavutil/replaygain.h